hatari (2.4.1+dfsg-2) unstable; urgency=medium

  * Revert "Drop patch fixing FTBFS on RISC-V, fixed upstream"
  * Unfuzz risc-v patch
  * Add patch tagging headers for risc-v patch

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 05 Dec 2022 11:34:38 +0200

hatari (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.1+dfsg
  * Drop patch fixing FTBFS on RISC-V, fixed upstream
  * Drop patch 07-fix-python-ui-doc-install, implemented upstream
  * Refresh patches
  * Bump Standards-Version to 4.6.1, no changes needed
  * Update copyright authors and years
  * Drop build-dependency on portaudio, replaced by SDL2 audio input
  * Add patch for hconsole example.py fixing hconsole import
  * Simplify debian/rules as the old cpu core is gone
  * Add support for systemd-binfmt.
    Thanks to Michael Biebl (Closes: 1012356)
  * Add patch fixing a groff warning in hatari_profile.1
  * Drop extra newline at the end of debian/control
  * Drop unnecessary document symlink
  * Add patch fixing python-ui opening docs

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 18 Sep 2022 22:24:32 +0300

hatari (2.3.1+dfsg-2) unstable; urgency=medium

  * Add patch fixing FTBFS on RISC-V (Closes: #1012255)
    Thanks to Tien Hock Loh <tienhock.loh@starfivetech.com>

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Fri, 24 Jun 2022 22:01:17 +0300

hatari (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Drop patch fixing typos in release notes for 2.3.0, applied upstream

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 24 Jan 2021 23:15:57 +0100

hatari (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.0
    - Memory snapshot version has been increased, and thus memory snaphots
      from earlier versions are incompatible.
  * Refresh patches
  * Drop patches applied upstream
  * Bump Standards-Version to 4.5.1 (No changes needed)
  * Install hconsole as a symlink in usr/bin
  * Add patch fixing installation of hconsole documentation and examples
  * Reword long description last paragraph
  * Update copyright years
  * Update watch file version
  * Drop quotes around argument in mailcap entry
  * Move hatariui release notes install location to /usr/share/hatari
  * Add patch fixing typos in release notes for 2.3.0

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 07 Dec 2020 00:45:53 +0100

hatari (2.2.1+dfsg-1) unstable; urgency=medium

  * Import upstream version 2.2.1 (Closes: 923833)
  * Bump debhelper compatibility level to 12
  * Add Rules-Requires-Root: no
  * Build with python3, force python3 shebang
  * Drop 03-fix-py-extension, applied upstream
  * Add new patch fixing installation of python-ui documentation
  * Update copyright information
  * Update README.Debian, WinUAE CPU core is now the default
  * Bump standards-version, no changes required
  * Add patch for using py3 for gentypes during build
  * Run wrap-and-sort -at
  * Disable test suite for now

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 22 Dec 2019 21:07:46 +0100

hatari (2.1.0+dfsg-1) unstable; urgency=medium

  * Drop non-free disk image from upstream tarball.
  * Import upstream version 2.1.0.
  * Drop patches included upstream.
  * Drop patches taken from upstream VCS.
  * Add 06-fix-typo-in-manpage, fixing typo in manpage.
  * Update debian/copyright, authors and years.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 25 Feb 2018 10:17:09 +0100

hatari (2.0.0+dfsg-4) unstable; urgency=medium

  * Add missing dependency on python-gtk2. (Closes: 881961)
  * Fix upstream bugs with patches from upstream vcs (Closes: 881964)
    - 10-fix-pythonui-new-config-file-locations
    - 11-fix-pythonui-options
    - 12-fix-sdl2-window-embedding
  * Fix watch file to not report false positives.
  * Drop redundant winuae cpu variant, it is now the default.
  * Bump debhelper compatibility level to 10.
  * Use https in copyright format URL.
  * Simplify debian/copyright, group GPL-2+ copyrights together.
  * Use https URL in debian/watch.
  * Use hardening=+all to get bindnow linker flag.
  * Bump standards-version to 4.1.1, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 18 Nov 2017 18:02:20 +0100

hatari (2.0.0+dfsg-3) unstable; urgency=medium

  * Add patch 08-add-aarch64-support, fixing FTBFS on aarch64.
  * Add patch 09-do-not-bail-on-unknown-cpu, fixing FTBFS on s390x.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 15 Jan 2017 09:43:19 +0100

hatari (2.0.0+dfsg-2) unstable; urgency=medium

  * Add patch 07-add-mips-support, fixing FTBFS on mips.
    Thanks to Radovan Birdic. (Closes: #851267)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 15 Jan 2017 01:30:03 +0100

hatari (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Build-Depend on libsdl2-dev.
  * Bump Standards-Version, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 10 Jan 2017 21:22:51 +0100

hatari (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    Highlights:
    - Accurate timings for floppy access.
    - Support for Pasti STX floppy images.
    - Support new Native Features, allowing emulated code to affect the
      emulator (NF_EXIT, NF_DEBUGGER, NF_FASTFORWARD).
    - Release mouse when debugger is invoked.
    - "quit" debugger command bypasses exit confirmation dialog.
    - Current program's debugging symbols are loaded automatically when
      entering the debugger.
  * Repack source, removing src/tos.img. It is licensed under GPLv2, but
    source code is not included with hatari. Add appropriate
    Files-Excluded line to debian/copyright.
  * Add menu entry for the python GTK hatari UI.
  * Update years in debian/copyright.
  * Refresh debian/patches/02-fix-manpage-hyphens.patch.
  * Add debian/patches/04-fix-typo-in-manpage.patch, as identified by
    lintian.
  * Bump standards-version to 3.9.5, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 30 Jul 2014 22:07:40 +0100

hatari (1.7.0-1) unstable; urgency=low

  * New upstream version.
    Highlights:
    - Improvements in the debugger and profiler.
    - Full 6850 ACIA implementation, resulting in better IKBD (keyboard)
      emulation.
  * Refresh patches 01-fix-conftypes-py-build-path and
    02-fix-manpage-hyphens.
  * Add 03-fix-py-extension to drop .py from an installed script.
  * Bump standards-version to 3.9.4, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 14 Jul 2013 15:52:40 +0100

hatari (1.6.2-1) unstable; urgency=low

  * New upstream version.
    Highlights:
    - Fix 224 byte STE overscan, making Antiques by Dune work.
    - Improve audio filters for YM2149 and DMA sound.
    - Make WinUAE cpu core default to Falcon mode, and fix TOS 1.x with
      the WinUAE cpu core.
  * Build-Depend on libpng-dev instead of libpng12-dev. (Closes: #662369)
  * Use hardened build flags.
  * Bump Standards-Version, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 24 Jun 2012 15:13:16 +0100

hatari (1.6.1-3) unstable; urgency=low

  * Use dh_python2.
  * Disable rpath usage by commanding cmake instead of removing rpath
    after the build.
  * Use -Wl,--as-needed when linking.
  * Disable cmake colour output.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 12 Feb 2012 21:38:14 +0000

hatari (1.6.1-2) unstable; urgency=low

  * Add patch fixing FTBFS when building twice in a row, forwarded
    upstream.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 21 Jan 2012 23:03:48 +0000

hatari (1.6.1-1) unstable; urgency=low

  * New upstream bugfix version, fixes monochrome mode.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 21 Jan 2012 10:55:39 +0000

hatari (1.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 01 Jan 2012 15:59:51 +0000

hatari (1.5.0-2) unstable; urgency=low

  * Upstream moved to tuxfamily.org, update homepage and watch file
    accordingly.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 20 Dec 2011 20:05:41 +0000

hatari (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Add binfmt-support for TOS binaries.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 28 Jul 2011 15:36:38 +0300

hatari (1.4.0-2) unstable; urgency=low

  * Switch to portaudio19. (Closes: #594016)
  * Bump Standards-Version, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 26 Jun 2011 19:59:29 +0300

hatari (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * Update to debhelper 7.
  * Adapt to CMake.
  * Add build-dependency on portaudio for Falcon microphone input.
  * Add build-dependency on readline for command line editing in the
    debugger.
  * Use python-support for python-dependencies.
  * Suggest mtools and unzip so that zip2st might actually be useful.
  * Suggest dosfstools so that atari-hd-image might actually be useful.
  * Update Standards-Version, no changes needed.
  * Remove script extensions (.sh, .py) from scripts installed into
    /usr/bin.
  * Include experimental python-ui.
  * Add manpages for newly included tools.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 19 Jun 2010 21:40:55 +0300

hatari (1.3.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 03 Oct 2009 12:33:28 +0300

hatari (1.3.0-1) unstable; urgency=low

  * New upstream release
    - Improved Falcon emulation (DSP emulation allows running many
      programs which use the DSP)
    - Improved video emulation (sync fixes)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 25 Aug 2009 20:32:45 +0300

hatari (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Fixed a bug that could write data to the wrong disk image (resulting
      in data loss)
    - Various emulation fixes (midi input, ste hardware scrolling in med res,
      etc.)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Fri, 30 Jan 2009 20:48:48 +0200

hatari (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #509856)
  * Project moved to berlios,
    * Updated Homepage and watch-file.
  * Included new documentation files.
  * Updated description.
  * Updated Standards-Version.
  * Updated Build-Depends.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 18 Jan 2009 20:38:20 +0200

hatari (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #473779). Fixes bugs in showing a lot
    of old demos.
  * Removed all patches, as they came from upstream HEAD, and are in the
    new release. Removed patch system and build-dependency on quilt.
  * Updated debhelper compatibility level to 5.
  * Updated watch file.
  * Fixed unquoted dashes in manpage
  * Set myself as maintainer.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 01 May 2008 20:54:32 +0300

hatari (0.95-2) unstable; urgency=low

  * Updated Standards-Version to 3.7.3
  * Added Homepage header.
  * Added longtitle for menu.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 06 Dec 2007 21:49:33 +0200

hatari (0.95-1) unstable; urgency=low

  * New upstream release.
  * Using quilt for patches.
  * Pulled patches from upstream cvs:
    * 10-fix-mouse-scaling-in-vdi-mode
    * 20-cfgopts-refactoring
    * 30-autoconf-datarootdir
  * Removed hatari.xpm, upstream ships an icon now.
  * Convert upstream icon when building, added build-dep on netpbm.
  * Fixed nostrip option (Closes: #437156)
  * Updated menu section for menu transition.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 11 Aug 2007 20:15:15 +0300

hatari (0.90-1) unstable; urgency=low

  * Initial upload to Debian. (Closes: #229266)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 18 Oct 2006 19:51:25 +0300

hatari (0.80+cvs20060815-1) unstable; urgency=low

  * CVS snapshot, pre-0.84.
  * Updated debian/copyright for the actual copyright.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 15 Aug 2006 19:05:23 +0300

hatari (0.80-2) unstable; urgency=low

  * removed essential package gcc from build-depends 
  * expect the global config file in /etc instead of /usr/etc

 -- Marco Herrn <marco@mherrn.de>  Sat, 15 Oct 2005 19:45:12 +0200

hatari (0.80-1) unstable; urgency=low

  * new upstream version
    - Support for STE hardware emulation: STE palette, STE shifter (horizontal
      fine  scrolling, split screen effects), DMA sound and STE joypads.
    - Hatari can now emulate up to 14 MiB ST RAM instead of only 4 MiB.
    - Support for parallel port joysticks.
    - Improved GEMDOS HD emulation (added Fattrib() call).
    - Adding and removing a GEMDOS or ACSI hard disk should now work correctly.
    - Re-factoring of the screen conversion functions.
    - Improved manual: Now with screenshots of the options dialogs.

 -- Marco Herrn <marco@mherrn.de>  Thu, 13 Oct 2005 09:05:29 +0200

hatari (0.70-1) unstable; urgency=low

  * new upstream version
    - No more crashes when a program tries to access illegal sector numbers.
    - Improved built-in ROM cartridge.
    - Rewrote the IO memory emulation code -> Better compatibility.
    - Support for TOS 1.06 and TOS 1.62
    - Emulated CPU can now also be run at 16 MHz or 32 MHz.
    - File selection dialog scrollable with mouse wheel or cursor keys, too.
    - Hatari now works on 64-bit host CPUs, too.
    - Floppy disk images can now be set writable/write-protected in the GUI.
    - Hatari can now also load a global configuration file (e.g. /etc/hatari.cfg).
    - Configurable logging functions.
    - Code cleanup and bug fixes.        

 -- Marco Herrn <marco@mherrn.de>  Sun, 12 Jun 2005 20:06:53 +0200

hatari (0.60-2) unstable; urgency=low

  * inform the user of the changes in the config file
  * provide a new icon, because the old one would raise copyright
    problems 

 -- Marco Herrn <marco@mherrn.de>  Sun, 13 Feb 2005 17:00:25 +0100

hatari (0.60-1) unstable; urgency=low

  * new upstream version
    - mostly bugfixes
    - possibility to load external cardridge ROM images
    - improvements in the graphical user interface 
  * added a control file for the Debian BTS. Bug reports can
    now be submitted with 'reportbug'.
  * do not treat the changelog.txt file as a normal documentation file
    anymore, but instead as the upstream changelog

 -- Marco Herrn <marco@mherrn.de>  Fri, 28 Jan 2005 20:40:36 +0100

hatari (0.50-2) unstable; urgency=low

  * now includes a pixmap image

 -- Marco Herrn <marco@mherrn.de>  Sun, 24 Oct 2004 20:05:37 +0200

hatari (0.50-1) unstable; urgency=low

  * new upstream version
    - support for RS232 emulation
    - support for DIM floppy disk images
    - improved GUI
    - dialog for creating blank floppy disk images

 -- Marco Herrn <marco@mherrn.de>  Fri, 30 Jul 2004 23:57:16 +0200

hatari (0.45-3) unstable; urgency=low

  * updated to standards version 3.6.1 

 -- Marco Herrn <marco@mherrn.de>  Tue, 27 Jan 2004 08:48:33 +0100

hatari (0.45-2) unstable; urgency=low

  * added a manpage
  * added a menu-entry 

 -- Marco Herrn <marco@mherrn.de>  Sun, 25 Jan 2004 19:02:09 +0100

hatari (0.45-1) unstable; urgency=low

  * Initial Release. (closes: #229266)
  * added patch to avoid buffer overflows (thanks to Steve Kemp)

 -- Marco Herrn <marco@mherrn.de>  Sat, 17 Jan 2004 13:25:15 +0100

